Skip to Content
APIDeep AnalysisGet Stablecoin Liquidity Pool Distribution

Get Stablecoin Liquidity Pool Distribution

1. Overview & Typical Use

Returns all liquidity pools containing a specified stablecoin (SunSwap v1/v2, SunCurve), including TVL and token composition.

  • Typical use: viewing liquidity distribution of a stablecoin across DEXes.
  • When not to use: to query an overview of all liquidity pools, use “Get All Stablecoin Liquidity Pool Info”.

2. Endpoint & Authentication

GET /api/stableCoin/tvl

For Base URL and authentication, see Common Network & Authentication.

3. Request

ParameterTypeRequiredDefaultDescription
tokenstringNo—Stablecoin contract address; if omitted, returns all pools

4. Response

Top-level

FieldTypeRequiredDescriptionUnit/Precision
sunswapv1arrayRequiredSunSwap V1 pool list—
sunswapv2arrayRequiredSunSwap V2 pool list—
sunarrayRequiredSunCurve pool list—

Pool array element

FieldTypeRequiredDescriptionUnit/Precision
poolAddressstringRequiredLiquidity pool contract address—
poolNamestringRequiredPool name—
projectstringRequiredProject name—
liquiditystringRequiredPool liquidity (native units, not USD)Token units
tvlstringRequiredTotal value lockedUSD
volume24HoursstringOptional24-hour trading volumeUSD
tokensarrayRequiredArray of token details in the pool—

tokens[] element

FieldTypeRequiredDescriptionUnit/Precision
tokenIdstringRequiredToken contract address—
tokenAbbrstringRequiredToken abbreviation—
tokenNamestringRequiredToken name—
tokenDecimalintegerRequiredToken decimals—
tokenTypestringRequiredToken type (trc20/trc10 etc.)—
vipbooleanRequiredWhether it is a VIP token—
issuerAddrstringRequiredToken issuer address—
tokenLogostringRequiredToken logo URL—
tokenLevelstringRequiredToken level: 0 (UNKNOWN), 1 (NEUTRAL), 2 (OK), 3 (SUSPICIOUS), 4 (UNSAFE)—
tokenCanShowintegerRequiredWhether displayable (1 = yes)—

5. Errors

For HTTP status codes, see Common Errors. Key points for this endpoint:

  • Empty result is not an error: when no pools exist, each array is empty as a normal response.
Last updated on: